# DataTypeMap | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

### Hierarchy

- DataTypeMap

## Index

### Properties

- bool
- float16
- float32
- float64
- int16
- int32
- int64
- int8
- string
- uint16
- uint32
- uint64
- uint8

## Properties

### bool

bool: Uint8Array

- Defined in tensor.ts:37

### float16

float16: never

- Defined in tensor.ts:38

### float32

float32: Float32Array

- Defined in tensor.ts:29

### float64

float64: Float64Array

- Defined in tensor.ts:39

### int16

int16: Int16Array

- Defined in tensor.ts:33

### int32

int32: Int32Array

- Defined in tensor.ts:34

### int64

int64: BigInt64Array

- Defined in tensor.ts:35

### int8

int8: Int8Array

- Defined in tensor.ts:31

### string

string: string[]

- Defined in tensor.ts:36

### uint16

uint16: Uint16Array

- Defined in tensor.ts:32

### uint32

uint32: Uint32Array

- Defined in tensor.ts:40

### uint64

uint64: BigUint64Array

- Defined in tensor.ts:41

### uint8

uint8: Uint8Array

- Defined in tensor.ts:30

Generated using TypeDoc